import { ExampleService } from '@business/services/util/example.service';
import { _HttpClient } from '@delon/theme';
import { environment } from 'environments/environment';
import { RouteConfigLoadStart } from '@angular/router';
import { Injectable } from '@angular/core';
import { equal } from 'assert';
import { Observable } from 'rxjs/Observable';
import {  PageBean } from '@business/entity/grid';

@Injectable()
export class SensorsService {
  private urls = {
    list: environment.SERVER_BASH_URL + '/sensor/page-list',
    save: environment.SERVER_BASH_URL + '/sensor/add-or-modify',
    delete: environment.SERVER_BASH_URL + '/sensor/delete-by-ids',
    listByVersionId:environment.SERVER_BASH_URL + '/sensor/list-by-vid',
};
constructor(private http: _HttpClient) { }
 public getPagingList(page: PageBean, queryText: string): Observable<PageBean> {
  const example = new ExampleService();
  if (queryText != null && queryText !== '') {
    example.or().andLike({name: 'name', value: '%' + queryText + '%'});
    example.or().andEqualTo({name: 'version', value: queryText});
  }
  let orderByClause = '';
  if ( page.getOrderByClause != null && page.getOrderByClause instanceof Function) {
    orderByClause = page.getOrderByClause();
  }
  const param: PageBean = {pageSize: page.pageSize, pageIndex: page.pageIndex, 
      queryParams: example.getSqlParam(), orderByClause: orderByClause};
      return this.http.get(this.urls.list, param);
}
public getPageByVersionId(versionId:number): Observable<PageBean> {
       return this.http.get(this.urls.listByVersionId,{versionId:versionId});
}
public save(data: any): Observable<any> {
      return this.http.post(this.urls.save, data);
}
public delete(...ids: number[]): Observable<any> {             
      return this.http.post(this.urls.delete, ids);
}

}
